> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer une expédition

> Crée une expédition.

Crée une expédition.

```json Corps de la requête theme={null}
{
  "reference": "EXP-0042",
  "clientOrganizationId": 3,
  "siteId": 1,
  "dueDate": "2026-08-28",
  "plannedDepartureDate": "2026-08-27T08:00:00+02:00",
  "carrierOrganizationId": 9
}
```


## OpenAPI

````yaml openapi.json POST /shipments
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /shipments:
    post:
      summary: Create a shipment
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - in: query
          name: carrierOrganizationId
          required: false
          schema:
            type: integer
        - in: query
          name: clientOrganizationId
          required: false
          schema:
            type: integer
        - description: >-
            _"reference" is required (enter it either in parameters or request
            body)_
          in: query
          name: reference
          required: true
          schema:
            type: string
        - in: query
          name: siteId
          required: false
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              properties:
                carrierOrganizationId:
                  nullable: true
                  type: integer
                clientOrganizationId:
                  nullable: true
                  type: integer
                dueDate:
                  $ref: '#/components/schemas/date'
                plannedDepartureDate:
                  $ref: '#/components/schemas/timestamptz'
                reference:
                  nullable: false
                  type: string
                siteId:
                  nullable: true
                  type: integer
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  insertShipmentsOne:
                    nullable: true
                    properties:
                      carrier:
                        description: A client or supplier organisation
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      customer:
                        description: A client or supplier organisation
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      dueDate:
                        $ref: '#/components/schemas/date'
                      id:
                        nullable: false
                        type: integer
                      plannedDepartureDate:
                        $ref: '#/components/schemas/timestamptz'
                      reference:
                        nullable: false
                        type: string
                      site:
                        nullable: false
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                    type: object
          description: Response
components:
  schemas:
    date:
      nullable: false
    timestamptz:
      nullable: true

````